Debian Bug report logs - #254709
freenet6: chmod go-r /etc/freenet6/tspc.conf to hide passwords

version graph

Package: freenet6; Maintainer for freenet6 is (unknown);

Reported by: Simon Josefsson <jas@extundo.com>

Date: Wed, 16 Jun 2004 15:03:04 UTC

Severity: serious

Tags: fixed-in-experimental, patch, security, woody

Found in version 1.0-2

Done: Martin Waitz <tali@admingilde.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <jas@extundo.com>:
New Bug report received and forwarded. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Josefsson <jas@extundo.com>
To: submit@bugs.debian.org
Subject: freenet6: chmod go-r /etc/freenet6/tspc.conf to hide passwords
Date: Wed, 16 Jun 2004 16:51:30 +0200
Package: freenet6
Version: 1.0-2
Severity: wishlist

Hello.  I think it might be nice to make the tspc.conf file readable
only to root, since it may contain passwords.  People adding a
password might forget to change permissions.

Thanks,
Simon



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Martin Waitz <tali@admingilde.org>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #10 received at 254709@bugs.debian.org (full text, mbox):

From: Martin Waitz <tali@admingilde.org>
To: Simon Josefsson <jas@extundo.com>, 254709@bugs.debian.org
Subject: Re: Bug#254709: freenet6: chmod go-r /etc/freenet6/tspc.conf to hide passwords
Date: Thu, 17 Jun 2004 08:46:08 +0200
[Message part 1 (text/plain, inline)]
hi :)

On Wed, Jun 16, 2004 at 04:51:30PM +0200, Simon Josefsson wrote:
> Hello.  I think it might be nice to make the tspc.conf file readable
> only to root, since it may contain passwords.  People adding a
> password might forget to change permissions.

nice catch, will be in the next version.
thanks.

-- 
Martin Waitz
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <mhelas@helas.net>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #15 received at 254709@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <mhelas@helas.net>
To: control@bugs.debian.org
Cc: 254709@bugs.debian.org
Subject: this is a serious security issue
Date: Tue, 7 Sep 2004 18:03:05 +0200
[Message part 1 (text/plain, inline)]
severity 254709 serious
tags 254709 + security
thanks

Hi,

this is not wishlist but rather serious. you have world readable passwords
sitting in /etc/freenet6/tscp.conf.


Greetings
Martin
-- 
  Martin Zobel-Helas     mhelas@helas.net   or   helas@gmx.net
  http://www.helas.net      or      http://mhelas.blogspot.com
  GPGKey-Fingerprint: 14744CACEF5CECFAE29E2CB17929AB90F7AC3AF0
  .
  Please don't CC me, I am reading the lists I am posting to.
[signature.asc (application/pgp-signature, inline)]

Severity set to `serious'. Request was from Martin Zobel-Helas <mhelas@helas.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: security Request was from Martin Zobel-Helas <mhelas@helas.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Martin Waitz <tali@admingilde.org>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #24 received at 254709@bugs.debian.org (full text, mbox):

From: Martin Waitz <tali@admingilde.org>
To: Martin Zobel-Helas <mhelas@helas.net>, 254709@bugs.debian.org
Subject: Re: Bug#254709: this is a serious security issue
Date: Tue, 7 Sep 2004 18:44:40 +0200
[Message part 1 (text/plain, inline)]
hi :)

On Tue, Sep 07, 2004 at 06:03:05PM +0200, Martin Zobel-Helas wrote:
> this is not wishlist but rather serious. you have world readable passwords
> sitting in /etc/freenet6/tscp.conf.

is this file really created readable on new installations?
I thought it was a leftover from previous versions.

-- 
Martin Waitz
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #29 received at 254709@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Martin Zobel-Helas <mhelas@helas.net>
Cc: team@security.debian.org, 254709@alcor.net
Subject: Re: /etc/freenet6/tspc.conf is world readable and contains passwords
Date: Tue, 7 Sep 2004 11:58:44 -0700
On Tue, Sep 07, 2004 at 05:54:14PM +0200, Martin Zobel-Helas wrote:

> i am not sure wether this is the right place to contact, but i found
> /etc/freenet6/tspc.conf world-readable per default on my system. Looking into
> the source package of freenet6 confirmed my fears: /etc/freenet6/tspc.conf is
> world readable. This file contains the username and the password to use to
> contact the IPv6 tunnelbroker freenet6.net.
> 
> This effects both packages in woody and in sarge.
> 
> I will also set #254709 to serious and tag it security.

Please forward a copy of the patch to team@security.debian.org if this issue
also affects 0.9.6-1 in woody.

-- 
 - mdz



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Martin Waitz <tali@admingilde.org>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #34 received at 254709@bugs.debian.org (full text, mbox):

From: Martin Waitz <tali@admingilde.org>
To: Martin Zobel-Helas <mhelas@helas.net>, team@security.debian.org, 254709@bugs.debian.org
Subject: Re: Bug#254709: /etc/freenet6/tspc.conf is world readable and contains passwords
Date: Tue, 7 Sep 2004 22:35:50 +0200
[Message part 1 (text/plain, inline)]
hi :)

> On Tue, Sep 07, 2004 at 05:54:14PM +0200, Martin Zobel-Helas wrote:
> > i am not sure wether this is the right place to contact, but i found
> > /etc/freenet6/tspc.conf world-readable per default on my system.

arg, it is explicitly installed -m 0600 but dh_fixperms ''fixes'' that.
The fix is to add -Xtspc.conf to the dh_fixperms call in debian/rules.

On Tue, Sep 07, 2004 at 11:58:44AM -0700, Matt Zimmerman wrote:
> Please forward a copy of the patch to team@security.debian.org if this issue
> also affects 0.9.6-1 in woody.

confirmed, all versions are affected.

-- 
Martin Waitz
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Martin Waitz <tali@admingilde.org>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #39 received at 254709@bugs.debian.org (full text, mbox):

From: Martin Waitz <tali@admingilde.org>
To: 254709@bugs.debian.org
Subject: Re: Bug#254709: /etc/freenet6/tspc.conf is world readable and contains passwords
Date: Wed, 8 Sep 2004 09:10:32 +0200
[Message part 1 (text/plain, inline)]
hi :)

I won't have the possibility to upload a new version of freenet6 in the
next one or two weeks. I'd appreciate it if anybody could NMU to fix this bug.

-- 
Martin Waitz
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Fabio Massimo Di Nitto <fabbione@fabbione.net>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #44 received at 254709@bugs.debian.org (full text, mbox):

From: Fabio Massimo Di Nitto <fabbione@fabbione.net>
To: 254709@bugs.debian.org
Subject: NMU?
Date: Wed, 8 Sep 2004 11:15:30 +0200 (CEST)
Hi,
	if nobody is working on it, I will prepare the NMU, but fixing the
permission at build time is not enough. We need to change permission on
upgrades and warn the user, probably via debconf, that the password might
be compromised.

Martin do you have any objections to this change?

Fabio

-- 
<user> fajita: step one
<fajita> Whatever the problem, step one is always to look in the error log.
<user> fajita: step two
<fajita> When in danger or in doubt, step two is to scream and shout.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <mhelas@helas.net>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #49 received at 254709@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <mhelas@helas.net>
To: 254709@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#254709: /etc/freenet6/tspc.conf is world readable and contains passwords
Date: Wed, 8 Sep 2004 11:36:19 +0200
[Message part 1 (text/plain, inline)]
tags 254709 + patch
thanks

see attached patch

-- 
  Martin Zobel-Helas     mhelas@helas.net   or   helas@gmx.net
  http://www.helas.net      or      http://mhelas.blogspot.com
  GPGKey-Fingerprint: 14744CACEF5CECFAE29E2CB17929AB90F7AC3AF0
  .
  Please don't CC me, I am reading the lists I am posting to.
[freenet6.patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Martin Zobel-Helas <mhelas@helas.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #56 received at 254709@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 254709@bugs.debian.org
Subject: Uploaded NMU
Date: Wed, 8 Sep 2004 12:10:31 +0200
Hi,

I uploaded an NMU with Martins patch.


Cheers,
Andi



Tags added: fixed Request was from Martin Zobel-Helas <mhelas@helas.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Martin Zobel-Helas <mhelas@helas.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: woody Request was from Martin Zobel-Helas <mhelas@helas.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <mhelas@helas.net>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #67 received at 254709@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <mhelas@helas.net>
To: control@bugs.debian.org
Cc: 254709@bugs.debian.org
Subject: add tag + sarge
Date: Wed, 8 Sep 2004 13:11:23 +0200
[Message part 1 (text/plain, inline)]
tags 254709 + sarge
thanks

To make sure we don't release buggy freenet6 with sarge.


-- 
  Martin Zobel-Helas     mhelas@helas.net   or   helas@gmx.net
  http://www.helas.net      or      http://mhelas.blogspot.com
  GPGKey-Fingerprint: 14744CACEF5CECFAE29E2CB17929AB90F7AC3AF0
  .
  Please don't CC me, I am reading the lists I am posting to.
[signature.asc (application/pgp-signature, inline)]

Tags added: sarge Request was from Martin Zobel-Helas <mhelas@helas.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Martin Waitz <tali@admingilde.org>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #74 received at 254709@bugs.debian.org (full text, mbox):

From: Martin Waitz <tali@admingilde.org>
To: Martin Zobel-Helas <mhelas@helas.net>
Cc: 254709@bugs.debian.org
Subject: Re: Fixed in NMU of freenet6 1.0-2.1
Date: Wed, 8 Sep 2004 14:00:13 +0200
[Message part 1 (text/plain, inline)]
hi :)

On Wed, Sep 08, 2004 at 06:32:09AM -0400, Martin Zobel-Helas wrote:
>    * NMU
>    * fix permission of file /etc/freenet6/tspc.conf (Closes: #254709)
>    * added debconf-note about world-readable passwords

thanks for the NMU.
Is the debconf notice only displayed when the file is infact
world-readable and does include a password?
I really don't want to show any warning if there is nothing to warn
about.

-- 
Martin Waitz
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Martin Waitz <tali@admingilde.org>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #79 received at 254709@bugs.debian.org (full text, mbox):

From: Martin Waitz <tali@admingilde.org>
To: Martin Zobel-Helas <mhelas@helas.net>
Cc: 254709@bugs.debian.org
Subject: Re: Fixed in NMU of freenet6 1.0-2.1
Date: Wed, 8 Sep 2004 14:13:01 +0200
[Message part 1 (text/plain, inline)]
hi again :)

I just downloaded your NMU from incoming.d.o

could you please add something similar to
--- postinst.nmu        Wed Sep  8 14:07:54 2004
+++ postinst.new        Wed Sep  8 14:07:18 2004
@@ -5,7 +5,8 @@
 # this is needed to set the permissions right for upgrades from woody etc
 # afterwards, also dependency on debconf, stat | coreutils could be dropped

-if [ `stat -c%a /etc/freenet6/tspc.conf 2>/dev/null` != "600" ]; then
+if [ `stat -c%a /etc/freenet6/tspc.conf 2>/dev/null` != "600" -a
+     `grep ^passwd /etc/freenet6` != "passwd=" ]; then
        db_input high freenet6/passwords || true
        db_go || true
 

(I can't test that at the moment, sorry)

If that works, please send the complete patch to team@security.d.o
as requested by Matt Zimmerman.


and thank you very much for your help! :)

-- 
Martin Waitz
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <mhelas@helas.net>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #84 received at 254709@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <mhelas@helas.net>
To: Martin Waitz <tali@admingilde.org>
Cc: 254709@bugs.debian.org
Subject: Re: Fixed in NMU of freenet6 1.0-2.1
Date: Wed, 8 Sep 2004 14:16:55 +0200
[Message part 1 (text/plain, inline)]
Martin Waitz wrote:
> hi :)
> 
> On Wed, Sep 08, 2004 at 06:32:09AM -0400, Martin Zobel-Helas wrote:
> >    * NMU
> >    * fix permission of file /etc/freenet6/tspc.conf (Closes: #254709)
> >    * added debconf-note about world-readable passwords
> 
> thanks for the NMU.
> Is the debconf notice only displayed when the file is infact
> world-readable and does include a password?
> I really don't want to show any warning if there is nothing to warn
> about.

currently the debconf notice is displayed only if the file is different to 600
but even when it contains no password.

one could fix the it by adding something like:

if [ `stat -c%a /etc/freenet6/tspc.conf 2>/dev/null` != "600" ]; then
        if ! [ `grep "^passwd=$" /etc/freenet6/tspc.conf` ]; then 
                db_input high freenet6/passwords || true
                db_go || true
        fi
        chmod 600 /etc/freenet6/tspc.conf
fi

Greetings
Martin

-- 
  Martin Zobel-Helas     mhelas@helas.net   or   helas@gmx.net
  http://www.helas.net      or      http://mhelas.blogspot.com
  GPGKey-Fingerprint: 14744CACEF5CECFAE29E2CB17929AB90F7AC3AF0
  .
  Please don't CC me, I am reading the lists I am posting to.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Martin Waitz <tali@admingilde.org>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #89 received at 254709@bugs.debian.org (full text, mbox):

From: Martin Waitz <tali@admingilde.org>
To: Martin Zobel-Helas <mhelas@helas.net>
Cc: 254709@bugs.debian.org
Subject: Re: Fixed in NMU of freenet6 1.0-2.1
Date: Wed, 8 Sep 2004 14:53:06 +0200
[Message part 1 (text/plain, inline)]
hi :)

On Wed, Sep 08, 2004 at 02:16:55PM +0200, Martin Zobel-Helas wrote:
> if [ `stat -c%a /etc/freenet6/tspc.conf 2>/dev/null` != "600" ]; then
>         if ! [ `grep "^passwd=$" /etc/freenet6/tspc.conf` ]; then 
>                 db_input high freenet6/passwords || true
>                 db_go || true
>         fi
>         chmod 600 /etc/freenet6/tspc.conf
> fi

that looks great!
could you please include that check in a new upload
(and pass on a patch to the security team, as requested)

thanks a lot!

-- 
Martin Waitz
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <mhelas@helas.net>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #94 received at 254709@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <mhelas@helas.net>
To: Martin Waitz <tali@admingilde.org>
Cc: 254709@bugs.debian.org, team@security.debian.org
Subject: Re: Fixed in NMU of freenet6 1.0-2.1
Date: Wed, 8 Sep 2004 16:05:17 +0200
[Message part 1 (text/plain, inline)]
Martin Waitz wrote:
> If that works, please send the complete patch to team@security.d.o
> as requested by Matt Zimmerman.
> 
> 
> and thank you very much for your help! :)

Hi,

here comes the full patch for the NMU (including first and second NMU), which 
was adjusted on the wish of the maintainer.

Greetings
Martin

-- 
  Martin Zobel-Helas     mhelas@helas.net   or   helas@gmx.net
  http://www.helas.net      or      http://mhelas.blogspot.com
  GPGKey-Fingerprint: 14744CACEF5CECFAE29E2CB17929AB90F7AC3AF0
  .
  Please don't CC me, I am reading the lists I am posting to.
[freenet6.patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Waitz <tali@debian.org>:
Bug#254709; Package freenet6. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Waitz <tali@debian.org>. Full text and rfc822 format available.

Message #99 received at 254709@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Martin Zobel-Helas <mhelas@helas.net>
Cc: Martin Waitz <tali@admingilde.org>, 254709@bugs.debian.org, team@security.debian.org
Subject: Re: Fixed in NMU of freenet6 1.0-2.1
Date: Mon, 13 Sep 2004 23:24:15 +0200
Martin Zobel-Helas wrote:
> Martin Waitz wrote:
> > If that works, please send the complete patch to team@security.d.o
> > as requested by Matt Zimmerman.
> > 
> > 
> > and thank you very much for your help! :)
> 
> Hi,
> 
> here comes the full patch for the NMU (including first and second NMU), which 
> was adjusted on the wish of the maintainer.

Please mention CAN-2004-0563 in the changelog so we can track this isssssue
more easily.

Regards,

	Joey

-- 
No question is too silly to ask, but, of course, some are too silly
to answer.   -- Perl book

Please always Cc to me when replying to me on the lists.



Tags removed: sarge Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Martin Waitz <tali@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Waitz <tali@admingilde.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Simon Josefsson <jas@extundo.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #108 received at 254709-done@bugs.debian.org (full text, mbox):

From: Martin Waitz <tali@admingilde.org>
To: 254709-done@bugs.debian.org, 274864-done@bugs.debian.org, 282785-done@bugs.debian.org, 113325-done@bugs.debian.org, 270480-done@bugs.debian.org, 271947-done@bugs.debian.org
Subject: Fixed with new upstream version.
Date: Fri, 24 Dec 2004 21:25:56 +0100
hoi :)

tspc 2.1.1-2 has entered unstable fixing all those bugs.
For details, see the Changelogs for 2.1.1-1

-- 
Martin Waitz




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:18:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.